<?php
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

/**
 * A Font Icon select box.
 *
 * @property array $icons   A list of font-icon classes. [ 'class-name' => 'nicename', ... ]
 *                          Default Font Awesome icons. @see Control_Icon::get_icons().
 * @property array $include list of classes to include form the $icons property
 * @property array $exclude list of classes to exclude form the $icons property
 *
 * @since 1.0.0
 */
class Newseqo_Icon_Controler extends Elementor\Base_Data_Control {

	public function get_type() {
		return 'xts-icon';
	}

	/**
	 * Get icons list
	 *
	 * @return array
	 */

	public static function get_icons() {

		$icons = array(
            'xts-icon xts-building' => 'xts-icon xts-building',
            'xts-icon xts-cycle' => 'xts-icon xts-cycle',
            'xts-icon xts-food' => 'xts-icon xts-food',
            'xts-icon xts-fun' => 'xts-icon xts-fun',
            'xts-icon xts-hotel' => 'xts-icon xts-hotel',
            'xts-icon xts-marketing' => 'xts-icon xts-marketing',
            'xts-icon xts-Monetizing' => 'xts-icon xts-Monetizing',
            'xts-icon xts-netwrorking' => 'xts-icon xts-netwrorking',
            'xts-icon xts-people' => 'xts-icon xts-people',
            'xts-icon xts-planning' => 'xts-icon xts-planning',
            'xts-icon xts-pricing-1Asset-1' => 'xts-icon xts-pricing-1Asset-1',
            'xts-icon xts-pricing-2Asset-2' => 'xts-icon xts-pricing-2Asset-2',
            'xts-icon xts-pricing-3Asset-3' => 'xts-icon xts-pricing-3Asset-3',
            'xts-icon xts-ring-1Asset-1' => 'xts-icon xts-ring-1Asset-1',
            'xts-icon xts-ring-2Asset-1' => 'xts-icon xts-ring-2Asset-1',
            'xts-icon xts-ring-3Asset-2' => 'xts-icon xts-ring-3Asset-2',
            'xts-icon xts-ring-4Asset-3' => 'xts-icon xts-ring-4Asset-3',
            'xts-icon xts-speaker' => 'xts-icon xts-speaker',
            'xts-icon xts-home' => 'xts-icon xts-home',
            'xts-icon xts-apartment' => 'xts-icon xts-apartment',
            'xts-icon xts-pencil' => 'xts-icon xts-pencil',
            'xts-icon xts-magic-wand' => 'xts-icon xts-magic-wand',
            'xts-icon xts-drop' => 'xts-icon xts-drop',
            'xts-icon xts-lighter' => 'xts-icon xts-lighter',
            'xts-icon xts-poop' => 'xts-icon xts-poop',
            'xts-icon xts-sun' => 'xts-icon xts-sun',
            'xts-icon xts-moon' => 'xts-icon xts-moon',
            'xts-icon xts-cloud' => 'xts-icon xts-cloud',
            'xts-icon xts-cloud-upload' => 'xts-icon xts-cloud-upload',
            'xts-icon xts-cloud-download' => 'xts-icon xts-cloud-download',
            'xts-icon xts-cloud-sync' => 'xts-icon xts-cloud-sync',
            'xts-icon xts-cloud-check' => 'xts-icon xts-cloud-check',
            'xts-icon xts-database' => 'xts-icon xts-database',
            'xts-icon xts-lock' => 'xts-icon xts-lock',
            'xts-icon xts-cog' => 'xts-icon xts-cog',
            'xts-icon xts-trash' => 'xts-icon xts-trash',
            'xts-icon xts-dice' => 'xts-icon xts-dice',
            'xts-icon xts-heart' => 'xts-icon xts-heart',
            'xts-icon xts-star' => 'xts-icon xts-star',
            'xts-icon xts-star-half' => 'xts-icon xts-star-half',
            'xts-icon xts-star-empty' => 'xts-icon xts-star-empty',
            'xts-icon xts-flag' => 'xts-icon xts-flag',
            'xts-icon xts-envelope' => 'xts-icon xts-envelope',
            'xts-icon xts-paperclip' => 'xts-icon xts-paperclip',
            'xts-icon xts-inbox' => 'xts-icon xts-inbox',
            'xts-icon xts-eye' => 'xts-icon xts-eye',
            'xts-icon xts-printer' => 'xts-icon xts-printer',
            'xts-icon xts-file-empty' => 'xts-icon xts-file-empty',
            'xts-icon xts-file-add' => 'xts-icon xts-file-add',
            'xts-icon xts-enter' => 'xts-icon xts-enter',
            'xts-icon xts-exit' => 'xts-icon xts-exit',
            'xts-icon xts-graduation-hat' => 'xts-icon xts-graduation-hat',
            'xts-icon xts-license' => 'xts-icon xts-license',
            'xts-icon xts-music-note' => 'xts-icon xts-music-note',
            'xts-icon xts-film-play' => 'xts-icon xts-film-play',
            'xts-icon xts-camera-video' => 'xts-icon xts-camera-video',
            'xts-icon xts-camera' => 'xts-icon xts-camera',
            'xts-icon xts-picture' => 'xts-icon xts-picture',
            'xts-icon xts-book' => 'xts-icon xts-book',
            'xts-icon xts-bookmark' => 'xts-icon xts-bookmark',
            'xts-icon xts-user' => 'xts-icon xts-user',
            'xts-icon xts-users' => 'xts-icon xts-users',
            'xts-icon xts-shirt' => 'xts-icon xts-shirt',
            'xts-icon xts-store' => 'xts-icon xts-store',
            'xts-icon xts-cart' => 'xts-icon xts-cart',
            'xts-icon xts-tag' => 'xts-icon xts-tag',
            'xts-icon xts-phone-handset' => 'xts-icon xts-phone-handset',
            'xts-icon xts-phone' => 'xts-icon xts-phone',
            'xts-icon xts-pushpin' => 'xts-icon xts-pushpin',
            'xts-icon xts-map-marker' => 'xts-icon xts-map-marker',
            'xts-icon xts-map' => 'xts-icon xts-map',
            'xts-icon xts-location' => 'xts-icon xts-location',
            'xts-icon xts-calendar-full' => 'xts-icon xts-calendar-full',
            'xts-icon xts-keyboard' => 'xts-icon xts-keyboard',
            'xts-icon xts-spell-check' => 'xts-icon xts-spell-check',
            'xts-icon xts-screen' => 'xts-icon xts-screen',
            'xts-icon xts-smartphone' => 'xts-icon xts-smartphone',
            'xts-icon xts-tablet' => 'xts-icon xts-tablet',
            'xts-icon xts-laptop' => 'xts-icon xts-laptop',
            'xts-icon xts-laptop-phone' => 'xts-icon xts-laptop-phone',
            'xts-icon xts-power-switch' => 'xts-icon xts-power-switch',
            'xts-icon xts-bubble' => 'xts-icon xts-bubble',
            'xts-icon xts-heart-pulse' => 'xts-icon xts-heart-pulse',
            'xts-icon xts-construction' => 'xts-icon xts-construction',
            'xts-icon xts-pie-chart' => 'xts-icon xts-pie-chart',
            'xts-icon xts-chart-bars' => 'xts-icon xts-chart-bars',
            'xts-icon xts-gift' => 'xts-icon xts-gift',
            'xts-icon xts-diamond' => 'xts-icon xts-diamond',
            'xts-icon xts-dinner' => 'xts-icon xts-dinner',
            'xts-icon xts-coffee-cup' => 'xts-icon xts-coffee-cup',
            'xts-icon xts-leaf' => 'xts-icon xts-leaf',
            'xts-icon xts-paw' => 'xts-icon xts-paw',
            'xts-icon xts-rocket' => 'xts-icon xts-rocket',
            'xts-icon xts-briefcase' => 'xts-icon xts-briefcase',
            'xts-icon xts-bus' => 'xts-icon xts-bus',
            'xts-icon xts-car' => 'xts-icon xts-car',
            'xts-icon xts-train' => 'xts-icon xts-train',
            'xts-icon xts-bicycle' => 'xts-icon xts-bicycle',
            'xts-icon xts-wheelchair' => 'xts-icon xts-wheelchair',
            'xts-icon xts-select' => 'xts-icon xts-select',
            'xts-icon xts-earth' => 'xts-icon xts-earth',
            'xts-icon xts-smile' => 'xts-icon xts-smile',
            'xts-icon xts-sad' => 'xts-icon xts-sad',
            'xts-icon xts-neutral' => 'xts-icon xts-neutral',
            'xts-icon xts-mustache' => 'xts-icon xts-mustache',
            'xts-icon xts-alarm' => 'xts-icon xts-alarm',
            'xts-icon xts-bullhorn' => 'xts-icon xts-bullhorn',
            'xts-icon xts-volume-high' => 'xts-icon xts-volume-high',
            'xts-icon xts-volume-medium' => 'xts-icon xts-volume-medium',
            'xts-icon xts-volume-low' => 'xts-icon xts-volume-low',
            'xts-icon xts-volume' => 'xts-icon xts-volume',
            'xts-icon xts-mic' => 'xts-icon xts-mic',
            'xts-icon xts-hourglass' => 'xts-icon xts-hourglass',
            'xts-icon xts-undo' => 'xts-icon xts-undo',
            'xts-icon xts-redo' => 'xts-icon xts-redo',
            'xts-icon xts-sync' => 'xts-icon xts-sync',
            'xts-icon xts-history' => 'xts-icon xts-history',
            'xts-icon xts-clock' => 'xts-icon xts-clock',
            'xts-icon xts-download' => 'xts-icon xts-download',
            'xts-icon xts-upload' => 'xts-icon xts-upload',
            'xts-icon xts-enter-down' => 'xts-icon xts-enter-down',
            'xts-icon xts-exit-up' => 'xts-icon xts-exit-up',
            'xts-icon xts-bug' => 'xts-icon xts-bug',
            'xts-icon xts-code' => 'xts-icon xts-code',
            'xts-icon xts-link' => 'xts-icon xts-link',
            'xts-icon xts-unlink' => 'xts-icon xts-unlink',
            'xts-icon xts-thumbs-up' => 'xts-icon xts-thumbs-up',
            'xts-icon xts-thumbs-down' => 'xts-icon xts-thumbs-down',
            'xts-icon xts-magnifier' => 'xts-icon xts-magnifier',
            'xts-icon xts-cross' => 'xts-icon xts-cross',
            'xts-icon xts-menu' => 'xts-icon xts-menu',
            'xts-icon xts-list' => 'xts-icon xts-list',
            'xts-icon xts-chevron-up' => 'xts-icon xts-chevron-up',
            'xts-icon xts-chevron-down' => 'xts-icon xts-chevron-down',
            'xts-icon xts-chevron-left' => 'xts-icon xts-chevron-left',
            'xts-icon xts-chevron-right' => 'xts-icon xts-chevron-right',
            'xts-icon xts-arrow-up' => 'xts-icon xts-arrow-up',
            'xts-icon xts-arrow-down' => 'xts-icon xts-arrow-down',
            'xts-icon xts-arrow-left' => 'xts-icon xts-arrow-left',
            'xts-icon xts-arrow-right' => 'xts-icon xts-arrow-right',
            'xts-icon xts-move' => 'xts-icon xts-move',
            'xts-icon xts-warning' => 'xts-icon xts-warning',
            'xts-icon xts-question-circle' => 'xts-icon xts-question-circle',
            'xts-icon xts-menu-circle' => 'xts-icon xts-menu-circle',
            'xts-icon xts-checkmark-circle' => 'xts-icon xts-checkmark-circle',
            'xts-icon xts-cross-circle' => 'xts-icon xts-cross-circle',
            'xts-icon xts-plus-circle' => 'xts-icon xts-plus-circle',
            'xts-icon xts-circle-minus' => 'xts-icon xts-circle-minus',
            'xts-icon xts-arrow-up-circle' => 'xts-icon xts-arrow-up-circle',
            'xts-icon xts-arrow-down-circle' => 'xts-icon xts-arrow-down-circle',
            'xts-icon xts-arrow-left-circle' => 'xts-icon xts-arrow-left-circle',
            'xts-icon xts-arrow-right-circle' => 'xts-icon xts-arrow-right-circle',
            'xts-icon xts-chevron-up-circle' => 'xts-icon xts-chevron-up-circle',
            'xts-icon xts-chevron-down-circle' => 'xts-icon xts-chevron-down-circle',
            'xts-icon xts-chevron-left-circle' => 'xts-icon xts-chevron-left-circle',
            'xts-icon xts-chevron-right-circle' => 'xts-icon xts-chevron-right-circle',
            'xts-icon xts-crop' => 'xts-icon xts-crop',
            'xts-icon xts-frame-expand' => 'xts-icon xts-frame-expand',
            'xts-icon xts-frame-contract' => 'xts-icon xts-frame-contract',
            'xts-icon xts-layers' => 'xts-icon xts-layers',
            'xts-icon xts-funnel' => 'xts-icon xts-funnel',
            'xts-icon xts-text-format' => 'xts-icon xts-text-format',
            'xts-icon xts-text-size' => 'xts-icon xts-text-size',
            'xts-icon xts-bold' => 'xts-icon xts-bold',
            'xts-icon xts-italic' => 'xts-icon xts-italic',
            'xts-icon xts-underline' => 'xts-icon xts-underline',
            'xts-icon xts-strikethrough' => 'xts-icon xts-strikethrough',
            'xts-icon xts-highlight' => 'xts-icon xts-highlight',
            'xts-icon xts-text-align-left' => 'xts-icon xts-text-align-left',
            'xts-icon xts-text-align-center' => 'xts-icon xts-text-align-center',
            'xts-icon xts-text-align-right' => 'xts-icon xts-text-align-right',
            'xts-icon xts-text-align-justify' => 'xts-icon xts-text-align-justify',
            'xts-icon xts-line-spacing' => 'xts-icon xts-line-spacing',
            'xts-icon xts-indent-increase' => 'xts-icon xts-indent-increase',
            'xts-icon xts-indent-decrease' => 'xts-icon xts-indent-decrease',
            'xts-icon xts-page-break' => 'xts-icon xts-page-break',
            'xts-icon xts-hand' => 'xts-icon xts-hand',
            'xts-icon xts-pointer-up' => 'xts-icon xts-pointer-up',
            'xts-icon xts-pointer-right' => 'xts-icon xts-pointer-right',
            'xts-icon xts-pointer-down' => 'xts-icon xts-pointer-down',
            'xts-icon xts-pointer-left' => 'xts-icon xts-pointer-left',
            'xts-icon xts-vplay' => 'xts-icon xts-vplay',
            'xts-icon xts-newsletter' => 'xts-icon xts-newsletter',
            'xts-icon xts-coins-2' => 'xts-icon xts-coins-2',
            'xts-icon xts-commerce-2' => 'xts-icon xts-commerce-2',
            'xts-icon xts-monitor' => 'xts-icon xts-monitor',
            'xts-icon xts-facebook' => 'xts-icon xts-facebook',
            'xts-icon xts-business' => 'xts-icon xts-business',
            'xts-icon xts-graphic-2' => 'xts-icon xts-graphic-2',
            'xts-icon xts-commerce-1' => 'xts-icon xts-commerce-1',
            'xts-icon xts-like' => 'xts-icon xts-like',
            'xts-icon xts-home1' => 'xts-icon xts-home1',
            'xts-icon xts-phone-call' => 'xts-icon xts-phone-call',
            'xts-icon xts-contact' => 'xts-icon xts-contact',
            'xts-icon xts-comments' => 'xts-icon xts-comments',
            'xts-icon xts-cloud-computing' => 'xts-icon xts-cloud-computing',
            'xts-icon xts-care' => 'xts-icon xts-care',
            'xts-icon xts-coin' => 'xts-icon xts-coin',
            'xts-icon xts-donation' => 'xts-icon xts-donation',
            'xts-icon xts-donation_2' => 'xts-icon xts-donation_2',
            'xts-icon xts-heart1' => 'xts-icon xts-heart1',
            'xts-icon xts-dove' => 'xts-icon xts-dove',
            'xts-icon xts-drop1' => 'xts-icon xts-drop1',
            'xts-icon xts-first-aid-kit' => 'xts-icon xts-first-aid-kit',
            'xts-icon xts-groceries' => 'xts-icon xts-groceries',
            'xts-icon xts-heartbeat' => 'xts-icon xts-heartbeat',
            'xts-icon xts-left-arrow' => 'xts-icon xts-left-arrow',
            'xts-icon xts-newspaper' => 'xts-icon xts-newspaper',
            'xts-icon xts-open-book' => 'xts-icon xts-open-book',
            'xts-icon xts-down-arrow' => 'xts-icon xts-down-arrow',
            'xts-icon xts-planet-earth' => 'xts-icon xts-planet-earth',
            'xts-icon xts-plus-button' => 'xts-icon xts-plus-button',
            'xts-icon xts-poor-water-supply' => 'xts-icon xts-poor-water-supply',
            'xts-icon xts-tap-water' => 'xts-icon xts-tap-water',
            'xts-icon xts-support' => 'xts-icon xts-support',
            'xts-icon xts-sweater' => 'xts-icon xts-sweater',
            'xts-icon xts-doctor' => 'xts-icon xts-doctor',
            'xts-icon xts-team' => 'xts-icon xts-team',
            'xts-icon xts-group' => 'xts-icon xts-group',
            'xts-icon xts-family' => 'xts-icon xts-family',
            'xts-icon xts-children' => 'xts-icon xts-children',
            'xts-icon xts-team_2' => 'xts-icon xts-team_2',
            'xts-icon xts-telemarketer' => 'xts-icon xts-telemarketer',
            'xts-icon xts-water' => 'xts-icon xts-water',
            'xts-icon xts-twitter' => 'xts-icon xts-twitter',
            'xts-icon xts-twitter1' => 'xts-icon xts-twitter1',
            'xts-icon xts-linkedin' => 'xts-icon xts-linkedin',
            'xts-icon xts-youtube' => 'xts-icon xts-youtube',
            'xts-icon xts-dribbble' => 'xts-icon xts-dribbble',
            'xts-icon xts-pinterest' => 'xts-icon xts-pinterest',
            'xts-icon xts-vimeo' => 'xts-icon xts-vimeo',
            'xts-icon xts-soundcloud' => 'xts-icon xts-soundcloud',
            'xts-icon xts-youtube-v' => 'xts-icon xts-youtube-v',
            'xts-icon xts-behance' => 'xts-icon xts-behance',
            'xts-icon xts-google-plus' => 'xts-icon xts-google-plus',
            'xts-icon xts-instagram' => 'xts-icon xts-instagram',
            'xts-icon xts-hammer' => 'xts-icon xts-hammer',
            'xts-icon xts-justice-1' => 'xts-icon xts-justice-1',
            'xts-icon xts-double-left-chevron' => 'xts-icon xts-double-left-chevron',
            'xts-icon xts-double-angle-pointing-to-right' => 'xts-icon xts-double-angle-pointing-to-right',
            'xts-icon xts-arrow-point-to-down' => 'xts-icon xts-arrow-point-to-down',
            'xts-icon xts-play-button' => 'xts-icon xts-play-button',
            'xts-icon xts-minus' => 'xts-icon xts-minus',
            'xts-icon xts-plus' => 'xts-icon xts-plus',
            'xts-icon xts-tick' => 'xts-icon xts-tick',
            'xts-icon xts-download-arrow' => 'xts-icon xts-download-arrow',
            'xts-icon xts-edit' => 'xts-icon xts-edit',
            'xts-icon xts-reply' => 'xts-icon xts-reply',
            'xts-icon xts-cogwheel-outline' => 'xts-icon xts-cogwheel-outline',
            'xts-icon xts-symbol' => 'xts-icon xts-symbol',
            'xts-icon xts-calendar' => 'xts-icon xts-calendar',
            'xts-icon xts-shopping-cart' => 'xts-icon xts-shopping-cart',
            'xts-icon xts-shopping-basket' => 'xts-icon xts-shopping-basket',
            'xts-icon xts-users1' => 'xts-icon xts-users1',
            'xts-icon xts-man' => 'xts-icon xts-man',
            'xts-icon xts-support1' => 'xts-icon xts-support1',
            'xts-icon xts-favorites' => 'xts-icon xts-favorites',
            'xts-icon xts-calendar1' => 'xts-icon xts-calendar1',
            'xts-icon xts-paper-plane' => 'xts-icon xts-paper-plane',
            'xts-icon xts-placeholder' => 'xts-icon xts-placeholder',
            'xts-icon xts-phone-call1' => 'xts-icon xts-phone-call1',
            'xts-icon xts-contact1' => 'xts-icon xts-contact1',
            'xts-icon xts-email' => 'xts-icon xts-email',
            'xts-icon xts-internet' => 'xts-icon xts-internet',
            'xts-icon xts-quote' => 'xts-icon xts-quote',
            'xts-icon xts-line' => 'xts-icon xts-line',
            'xts-icon xts-money-3' => 'xts-icon xts-money-3',
            'xts-icon xts-commerce' => 'xts-icon xts-commerce',
            'xts-icon xts-tools' => 'xts-icon xts-tools',
            'xts-icon xts-pie-chart1' => 'xts-icon xts-pie-chart1',
            'xts-icon xts-diamond1' => 'xts-icon xts-diamond1',
            'xts-icon xts-agenda' => 'xts-icon xts-agenda',
            'xts-icon xts-like1' => 'xts-icon xts-like1',
            'xts-icon xts-justice' => 'xts-icon xts-justice',
            'xts-icon xts-technology' => 'xts-icon xts-technology',
            'xts-icon xts-coins-1' => 'xts-icon xts-coins-1',
            'xts-icon xts-left-arrow1' => 'xts-icon xts-left-arrow1',
            'xts-icon xts-bank' => 'xts-icon xts-bank',
            'xts-icon xts-calculator' => 'xts-icon xts-calculator',
            'xts-icon xts-chart2' => 'xts-icon xts-chart2',
            'xts-icon xts-map-marker1' => 'xts-icon xts-map-marker1',
            'xts-icon xts-mutual-fund' => 'xts-icon xts-mutual-fund',
            'xts-icon xts-phone1' => 'xts-icon xts-phone1',
            'xts-icon xts-pie-chart2' => 'xts-icon xts-pie-chart2',
            'xts-icon xts-play' => 'xts-icon xts-play',
            'xts-icon xts-savings' => 'xts-icon xts-savings',
            'xts-icon xts-search' => 'xts-icon xts-search',
            'xts-icon xts-tag1' => 'xts-icon xts-tag1',
            'xts-icon xts-tags' => 'xts-icon xts-tags',
            'xts-icon xts-loan' => 'xts-icon xts-loan',
            'xts-icon xts-checked' => 'xts-icon xts-checked',
            'xts-icon xts-clock1' => 'xts-icon xts-clock1',
            'xts-icon xts-comment' => 'xts-icon xts-comment',
            'xts-icon xts-comments1' => 'xts-icon xts-comments1',
            'xts-icon xts-consult' => 'xts-icon xts-consult',
            'xts-icon xts-consut2' => 'xts-icon xts-consut2',
            'xts-icon xts-envelope1' => 'xts-icon xts-envelope1',
            'xts-icon xts-folder' => 'xts-icon xts-folder',
            'xts-icon xts-invest' => 'xts-icon xts-invest',
            'xts-icon xts-right-arrow2' => 'xts-icon xts-right-arrow2',
            'xts-icon xts-quote1' => 'xts-icon xts-quote1',
            'xts-icon xts-deal' => 'xts-icon xts-deal',
            'xts-icon xts-left-arrow2' => 'xts-icon xts-left-arrow2',
            'xts-icon xts-team1' => 'xts-icon xts-team1',
            'xts-icon xts-tshirt' => 'xts-icon xts-tshirt',
            'xts-icon xts-cancel' => 'xts-icon xts-cancel',
            'xts-icon xts-drink' => 'xts-icon xts-drink',
            'xts-icon xts-home2' => 'xts-icon xts-home2',
            'xts-icon xts-music' => 'xts-icon xts-music',
            'xts-icon xts-rich' => 'xts-icon xts-rich',
            'xts-icon xts-brush' => 'xts-icon xts-brush',
            'xts-icon xts-opposite-way' => 'xts-icon xts-opposite-way',
            'xts-icon xts-cloud-computing1' => 'xts-icon xts-cloud-computing1',
            'xts-icon xts-technology-1' => 'xts-icon xts-technology-1',
            'xts-icon xts-rotate' => 'xts-icon xts-rotate',
            'xts-icon xts-medical' => 'xts-icon xts-medical',
            'xts-icon xts-flash-1' => 'xts-icon xts-flash-1',
            'xts-icon xts-flash' => 'xts-icon xts-flash',
            'xts-icon xts-down-arrow1' => 'xts-icon xts-down-arrow1',
            'xts-icon xts-hours-support' => 'xts-icon xts-hours-support',
            'xts-icon xts-bag' => 'xts-icon xts-bag',
            'xts-icon xts-photo-camera' => 'xts-icon xts-photo-camera',
            'xts-icon xts-search-minus' => 'xts-icon xts-search-minus',
            'xts-icon xts-search1' => 'xts-icon xts-search1',
            'xts-icon xts-down-arrow2' => 'xts-icon xts-down-arrow2',
            'xts-icon xts-up-arrow' => 'xts-icon xts-up-arrow',
            'xts-icon xts-right-arrow' => 'xts-icon xts-right-arrow',
            'xts-icon xts-left-arrows' => 'xts-icon xts-left-arrows',
            'xts-icon xts-school' => 'xts-icon xts-school',
            'xts-icon xts-settings' => 'xts-icon xts-settings',
            'xts-icon xts-smartphone1' => 'xts-icon xts-smartphone1',
            'xts-icon xts-technology-11' => 'xts-icon xts-technology-11',
            'xts-icon xts-tool' => 'xts-icon xts-tool',
            'xts-icon xts-business1' => 'xts-icon xts-business1',
            'xts-icon xts-van-1' => 'xts-icon xts-van-1',
            'xts-icon xts-van' => 'xts-icon xts-van',
            'xts-icon xts-vegetables' => 'xts-icon xts-vegetables',
            'xts-icon xts-women' => 'xts-icon xts-women',
            'xts-icon xts-vintage' => 'xts-icon xts-vintage',
            'xts-icon xts-up-arrow1' => 'xts-icon xts-up-arrow1',
            'xts-icon xts-arrows' => 'xts-icon xts-arrows',
            'xts-icon xts-team2' => 'xts-icon xts-team2',
            'xts-icon xts-team-1' => 'xts-icon xts-team-1',
            'xts-icon xts-medal' => 'xts-icon xts-medal',
            'xts-icon xts-uturn' => 'xts-icon xts-uturn',
            'xts-icon xts-apple-1' => 'xts-icon xts-apple-1',
            'xts-icon xts-apple' => 'xts-icon xts-apple',
            'xts-icon xts-light-bulb' => 'xts-icon xts-light-bulb',
            'xts-icon xts-light-bulb-1' => 'xts-icon xts-light-bulb-1',
            'xts-icon xts-cogwheel' => 'xts-icon xts-cogwheel',
            'xts-icon xts-watch' => 'xts-icon xts-watch',
            'xts-icon xts-star1' => 'xts-icon xts-star1',
            'xts-icon xts-star-1' => 'xts-icon xts-star-1',
            'xts-icon xts-favorite' => 'xts-icon xts-favorite',
            'xts-icon xts-medical1' => 'xts-icon xts-medical1',
            'xts-icon xts-eye1' => 'xts-icon xts-eye1',
            'xts-icon xts-full-screen' => 'xts-icon xts-full-screen',
            'xts-icon xts-shuffle-arrow' => 'xts-icon xts-shuffle-arrow',
            'xts-icon xts-online-shopping-cart' => 'xts-icon xts-online-shopping-cart',
            'xts-icon xts-shopping-cart1' => 'xts-icon xts-shopping-cart1',
            'xts-icon xts-heart-shape-outline' => 'xts-icon xts-heart-shape-outline'
		);

		return $icons;
	}

	/**
	 * Retrieve icons control default settings.
	 *
	 * Get the default settings of the icons control. Used to return the default
	 * settings while initializing the icons control.
	 *
	 * @since 1.0.0
	 * @access protected
	 *
	 * @return array Control default settings.
	 */

	protected function get_default_settings() {
		return [
			'options' => self::get_icons(),
		];
	}

	/**
	 * Render icons control output in the editor.
	 *
	 * Used to generate the control HTML in the editor using Underscore JS
	 * template. The variables for the class are available using `data` JS
	 * object.
	 *
	 * @since 1.0.0
	 * @access public
	 */

	public function content_template() {
		?>
		<div class="elementor-control-field">
			<label class="elementor-control-title">{{{ data.label }}}</label>
			<div class="elementor-control-input-wrapper">

				<select class="elementor-control-icon" data-setting="{{ data.name }}" data-placeholder="<?php esc_attr_e( 'Select Icon', 'newseqo' ); ?>">

					<option value=""><?php esc_html_e( 'Select Icon', 'newseqo' ); ?></option>
					<# _.each( data.options, function( option_title, option_value ) { #>
					<option value="{{ option_value }}">{{{ option_title }}}</option>
					<# } ); #>
				</select>
			</div>
		</div>
		<# if ( data.description ) { #>
		<div class="elementor-control-field-description">{{ data.description }}</div>
		<# } #>
		<?php
	}

}
